Hello community,

here is the log from the commit of package doomsday for openSUSE:Factory 
checked in at 2013-04-05 07:27:17
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/doomsday (Old)
 and      /work/SRC/openSUSE:Factory/.doomsday.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "doomsday", Maintainer is ""

Changes:
--------
--- /work/SRC/openSUSE:Factory/doomsday/doomsday.changes        2013-01-04 
11:38:04.000000000 +0100
+++ /work/SRC/openSUSE:Factory/.doomsday.new/doomsday.changes   2013-04-05 
07:34:37.000000000 +0200
@@ -1,0 +2,14 @@
+Sun Feb 17 10:56:08 UTC 2013 - jeng...@inai.de
+
+- Correctly place files into %_libdir (original sr#147463)
+
+-------------------------------------------------------------------
+Sun Jan  6 21:06:46 UTC 2013 - jeng...@inai.de
+
+- Update to new upstream release 1.9.10.1
+* The longstanding gameplay bug that prevented a column from
+  lowering on Doom E1M7 has now been fixed.
+* Command-line tools for creating and editing data files (md2tool,
+  texc) are now included as part of the distribution packages.
+
+-------------------------------------------------------------------

Old:
----
  doomsday-1.9.9.tar.xz

New:
----
  deng-libdir.diff
  doomsday-1.9.10.1.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ doomsday.spec ++++++
--- /var/tmp/diff_new_pack.SnOA95/_old  2013-04-05 07:35:07.000000000 +0200
+++ /var/tmp/diff_new_pack.SnOA95/_new  2013-04-05 07:35:07.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package doomsday
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,17 +17,18 @@
 
 
 Name:           doomsday
-Version:        1.9.9
+Version:        1.9.10.1
 Release:        0
 Summary:        The Doomsday Engine: DOOM/Hertic/Hexen port with pretty 
graphics
-# md2tool (apparently GPL-2.0 only) is not shipped in binary form
-License:        GPL-2.0+
+License:        GPL-2.0+ and GPL-2.0
 Group:          Amusements/Games/3D/Shoot
+# md2tool is the one being GPL-2.0-only
 Url:            http://dengine.net/
 
-#DL-URL:       http://downloads.sf.net/deng/doomsday-1.9.9.tar.gz
+#DL-URL:       http://downloads.sf.net/deng/doomsday-1.9.10-1.tar.gz
 Source:         %name-%version.tar.xz
 Patch1:                deng-nodate.diff
+Patch2:         deng-libdir.diff
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  Mesa-devel
@@ -56,6 +57,7 @@
 
 %package launcher
 Summary:       Graphical launcher for Doomsday
+Group:          Amusements/Games/3D/Shoot
 Requires:      %name = %version
 %if 0%{?fedora_version}
 BuildRequires: python
@@ -81,7 +83,7 @@
 tar --use=xz -xf "%{S:0}";
 %setup -DTq
 %endif
-%patch -P 1 -p1
+%patch -P 1 -P 2 -p1
 
 %build
 pushd doomsday;
@@ -89,7 +91,8 @@
 %if 0%{?fedora_version}
 alias qmake="qmake-qt4";
 %endif
-qmake QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags" QMAKE_STRIP="true";
+qmake QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags" \
+       QMAKE_STRIP="true" DENG_LIB_DIR="%_libdir";
 make %{?_smp_mflags};
 popd;
 
@@ -124,7 +127,12 @@
 %_libdir/%name/lib*
 %dir %_datadir/%name
 %_datadir/%name/data
+%_datadir/%name/modules
 %_datadir/applications/doomsday-engine.desktop
+%_mandir/man6/doomsday.6*
+%dir %_libexecdir/%name
+%_libexecdir/%name/md2tool
+%_libexecdir/%name/texc
 
 %files launcher
 %defattr(-,root,root)

++++++ deng-libdir.diff ++++++
From: Jan Engelhardt <jeng...@inai.de>
Date: 2013-02-17 11:46:51.927040802 +0100

build: allow packagers to set DENG_LIB_DIR

Only a Linux distribution knows the exact value of libdir, since
that depends on the userspace environment.
---
 doomsday/config_unix.pri |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

Index: doomsday-1.9.10.1/doomsday/config_unix.pri
===================================================================
--- doomsday-1.9.10.1.orig/doomsday/config_unix.pri
+++ doomsday-1.9.10.1/doomsday/config_unix.pri
@@ -29,15 +29,17 @@ isEmpty(PREFIX) {
 DENG_BIN_DIR = $$PREFIX/bin
 
 # Library location.
-DENG_LIB_DIR = $$PREFIX/lib
+isEmpty(DENG_LIB_DIR) {
+       DENG_LIB_DIR = $$PREFIX/lib
 
-contains(QMAKE_HOST.arch, x86_64) {
-    exists($$PREFIX/lib64) {
-        DENG_LIB_DIR = $$PREFIX/lib64
-    }
-    exists($$PREFIX/lib/x86_64-linux-gnu) {
-        DENG_LIB_DIR = $$PREFIX/lib/x86_64-linux-gnu
-    }
+       contains(QMAKE_HOST.arch, x86_64) {
+           exists($$PREFIX/lib64) {
+               DENG_LIB_DIR = $$PREFIX/lib64
+           }
+           exists($$PREFIX/lib/x86_64-linux-gnu) {
+               DENG_LIB_DIR = $$PREFIX/lib/x86_64-linux-gnu
+           }
+       }
 }
 
 # Target location for plugin libraries.
++++++ deng-nodate.diff ++++++
--- /var/tmp/diff_new_pack.SnOA95/_old  2013-04-05 07:35:07.000000000 +0200
+++ /var/tmp/diff_new_pack.SnOA95/_new  2013-04-05 07:35:07.000000000 +0200
@@ -1,5 +1,7 @@
+From: Jan Engelhardt <jeng...@inai.de>
+
+Kill __DATE__ and __TIME__ for reasons of avoiding needless rebuilds.
 ---
- doomsday/engine/portable/include/dd_def.h          |    2 +-
  doomsday/plugins/dehread/include/version.h         |    2 +-
  doomsday/plugins/directsound/include/version.h     |    2 +-
  doomsday/plugins/exampleplugin/include/version.h   |    2 +-
@@ -12,25 +14,12 @@
  doomsday/plugins/openal/include/version.h          |    2 +-
  doomsday/plugins/wadmapconverter/include/version.h |    2 +-
  doomsday/plugins/winmm/include/version.h           |    2 +-
- 13 files changed, 13 insertions(+), 13 deletions(-)
+ 12 files changed, 12 insertions(+), 12 deletions(-)
 
-Index: doomsday-1.9.9/doomsday/engine/portable/include/dd_def.h
-===================================================================
---- doomsday-1.9.9.orig/doomsday/engine/portable/include/dd_def.h
-+++ doomsday-1.9.9/doomsday/engine/portable/include/dd_def.h
-@@ -83,7 +83,7 @@ extern "C" {
- 
- #define DOOMSDAY_VER_ID     DOOMSDAY_RELEASE_TYPE DOOMSDAY_VER_ID_64BIT 
DOOMSDAY_VER_ID_DEBUG DOOMSDAY_VER_ID_RANGECHECK DOOMSDAY_VER_ID_BUILD
- 
--#define DOOMSDAY_VERSION_FULLTEXT     DOOMSDAY_VERSION_TEXT" 
("DOOMSDAY_VER_ID") "__DATE__" "__TIME__
-+#define DOOMSDAY_VERSION_FULLTEXT     DOOMSDAY_VERSION_TEXT" 
("DOOMSDAY_VER_ID")"
- 
- #define SAFEDIV(x,y)    (!(y) || !((x)/(y))? 1 : (x)/(y))
- #define ORDER(x,y,a,b)  ( (x)<(y)? ((a)=(x),(b)=(y)) : ((b)=(x),(a)=(y)) )
-Index: doomsday-1.9.9/doomsday/plugins/dehread/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/dehread/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/dehread/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/dehread/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/dehread/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/dehread/include/version.h
 @@ -39,7 +39,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for reading DeHackEd patches."
  
@@ -40,10 +29,10 @@
  #define PLUGIN_VERSION_NUMBER 2,0,0,0 // For WIN32 version info.
  
  #endif /// LIBDEHREAD_VERSION_H
-Index: doomsday-1.9.9/doomsday/plugins/directsound/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/directsound/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/directsound/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/directsound/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/directsound/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/directsound/include/version.h
 @@ -46,7 +46,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for audio playback via 
DirectSound"
  
@@ -53,10 +42,10 @@
  #define PLUGIN_VERSION_NUMBER 1,2,5,0 // For WIN32 version info.
  
  #endif
-Index: doomsday-1.9.9/doomsday/plugins/exampleplugin/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/exampleplugin/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/exampleplugin/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/exampleplugin/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/exampleplugin/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/exampleplugin/include/version.h
 @@ -53,7 +53,7 @@
  #define PLUGIN_DOCSURL      DOOMSDAY_DOCSURL
  
@@ -66,88 +55,88 @@
  #define PLUGIN_VERSION_NUMBER 1,1,0,0 // For WIN32 version info.
  
  // For WIN32 version info:
-Index: doomsday-1.9.9/doomsday/plugins/fluidsynth/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/fluidsynth/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/fluidsynth/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/fluidsynth/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/fluidsynth/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/fluidsynth/include/version.h
 @@ -38,7 +38,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for music playback via 
FluidSynth"
  
- #define PLUGIN_VERSION_TEXT "1.0.0"
+ #define PLUGIN_VERSION_TEXT "1.1.0"
 -#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " " __DATE__ " 
(" DSFLUIDSYNTH_VER_ID ")"
 +#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " (" 
DSFLUIDSYNTH_VER_ID ")"
- #define PLUGIN_VERSION_NUMBER 1,0,0,0 // For WIN32 version info.
+ #define PLUGIN_VERSION_NUMBER 1,1,0,0 // For WIN32 version info.
  
  #endif
-Index: doomsday-1.9.9/doomsday/plugins/fmod/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/fmod/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/fmod/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/fmod/include/version.h
-@@ -38,7 +38,7 @@
+--- doomsday-1.9.10.1.orig/doomsday/plugins/fmod/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/fmod/include/version.h
+@@ -58,7 +58,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for audio playback via Firelight 
Technologies' FMOD Ex "
  
- #define PLUGIN_VERSION_TEXT "1.0.1"
+ #define PLUGIN_VERSION_TEXT "1.0.2"
 -#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " " __DATE__ " 
(" DSFMOD_VER_ID ")"
 +#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " (" 
DSFMOD_VER_ID ")"
- #define PLUGIN_VERSION_NUMBER 1,0,1,0 // For WIN32 version info.
+ #define PLUGIN_VERSION_NUMBER 1,0,2,0 // For WIN32 version info.
  
  #endif
-Index: doomsday-1.9.9/doomsday/plugins/jdoom/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/jdoom/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/jdoom/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/jdoom/include/version.h
-@@ -57,7 +57,7 @@
+--- doomsday-1.9.10.1.orig/doomsday/plugins/jdoom/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/jdoom/include/version.h
+@@ -60,7 +60,7 @@
  #define PLUGIN_DOCSURL      DOOMSDAY_DOCSURL
  
- #define PLUGIN_VERSION_TEXT "1.16.2"
+ #define PLUGIN_VERSION_TEXT DOOMSDAY_VERSION_BASE
 -#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " " __DATE__ " 
(" JDOOM_VER_ID ")"
 +#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " (" 
JDOOM_VER_ID ")"
- #define PLUGIN_VERSION_NUMBER 1,16,2,0 // For WIN32 version info.
+ #define PLUGIN_VERSION_NUMBER DOOMSDAY_VERSION_NUMBER // For WIN32 version 
info.
  
  // For WIN32 version info:
-Index: doomsday-1.9.9/doomsday/plugins/jdoom64/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/jdoom64/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/jdoom64/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/jdoom64/include/version.h
-@@ -56,7 +56,7 @@
+--- doomsday-1.9.10.1.orig/doomsday/plugins/jdoom64/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/jdoom64/include/version.h
+@@ -59,7 +59,7 @@
  #define PLUGIN_DOCSURL      DOOMSDAY_DOCSURL
  
- #define PLUGIN_VERSION_TEXT "0.9.1"
+ #define PLUGIN_VERSION_TEXT DOOMSDAY_VERSION_BASE
 -#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " " __DATE__ " 
(" JDOOM64_VER_ID ")"
 +#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " (" 
JDOOM64_VER_ID ")"
- #define PLUGIN_VERSION_NUMBER 0,9,1,0 // For WIN32 version info.
+ #define PLUGIN_VERSION_NUMBER DOOMSDAY_VERSION_NUMBER // For WIN32 version 
info.
  
  // For WIN32 version info:
-Index: doomsday-1.9.9/doomsday/plugins/jheretic/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/jheretic/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/jheretic/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/jheretic/include/version.h
-@@ -57,7 +57,7 @@
+--- doomsday-1.9.10.1.orig/doomsday/plugins/jheretic/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/jheretic/include/version.h
+@@ -60,7 +60,7 @@
  #define PLUGIN_DOCSURL      DOOMSDAY_DOCSURL
  
- #define PLUGIN_VERSION_TEXT "1.5.2"
+ #define PLUGIN_VERSION_TEXT DOOMSDAY_VERSION_BASE
 -#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " " __DATE__ " 
(" JHERETIC_VER_ID ")"
 +#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " (" 
JHERETIC_VER_ID ")"
- #define PLUGIN_VERSION_NUMBER 1,5,2,0 // For WIN32 version info.
+ #define PLUGIN_VERSION_NUMBER DOOMSDAY_VERSION_NUMBER // For WIN32 version 
info.
  
  // For WIN32 version info:
-Index: doomsday-1.9.9/doomsday/plugins/jhexen/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/jhexen/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/jhexen/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/jhexen/include/version.h
-@@ -57,7 +57,7 @@
+--- doomsday-1.9.10.1.orig/doomsday/plugins/jhexen/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/jhexen/include/version.h
+@@ -60,7 +60,7 @@
  #define PLUGIN_DOCSURL      DOOMSDAY_DOCSURL
  
- #define PLUGIN_VERSION_TEXT "1.4.2"
+ #define PLUGIN_VERSION_TEXT DOOMSDAY_VERSION_BASE
 -#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " " __DATE__ " 
(" JHEXEN_VER_ID ")"
 +#define PLUGIN_VERSION_TEXTLONG "Version " PLUGIN_VERSION_TEXT " (" 
JHEXEN_VER_ID ")"
- #define PLUGIN_VERSION_NUMBER 1,4,2,0 // For WIN32 version info.
+ #define PLUGIN_VERSION_NUMBER DOOMSDAY_VERSION_NUMBER // For WIN32 version 
info.
  
  // For WIN32 version info:
-Index: doomsday-1.9.9/doomsday/plugins/openal/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/openal/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/openal/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/openal/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/openal/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/openal/include/version.h
 @@ -46,7 +46,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for audio playback via OpenAL"
  
@@ -157,10 +146,10 @@
  #define PLUGIN_VERSION_NUMBER 1,2,4,0 // For WIN32 version info.
  
  #endif
-Index: doomsday-1.9.9/doomsday/plugins/wadmapconverter/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/wadmapconverter/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/wadmapconverter/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/wadmapconverter/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/wadmapconverter/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/wadmapconverter/include/version.h
 @@ -40,7 +40,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for loading id tech 1 format 
maps."
  
@@ -170,10 +159,10 @@
  #define PLUGIN_VERSION_NUMBER 1,1,0,0 // For WIN32 version info.
  
  #endif /* __WADMAPCONVERTER_VERSION_H__ */
-Index: doomsday-1.9.9/doomsday/plugins/winmm/include/version.h
+Index: doomsday-1.9.10.1/doomsday/plugins/winmm/include/version.h
 ===================================================================
---- doomsday-1.9.9.orig/doomsday/plugins/winmm/include/version.h
-+++ doomsday-1.9.9/doomsday/plugins/winmm/include/version.h
+--- doomsday-1.9.10.1.orig/doomsday/plugins/winmm/include/version.h
++++ doomsday-1.9.10.1/doomsday/plugins/winmm/include/version.h
 @@ -46,7 +46,7 @@
  #define PLUGIN_DETAILS      "Doomsday plugin for audio playback via Windows 
Multimedia."
  

++++++ doomsday-1.9.9.tar.xz -> doomsday-1.9.10.1.tar.xz ++++++
++++ 470545 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org

Reply via email to